Get all units
https://api.propexo.com/v1/units/Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100The external unit id
Deprecated: Use the Propexo property_id instead
The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
The Propexo property id
The Propexo integration id
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTThe integration vendor for the unit.
The number of the unit. When using this, the Propexo property_id filter must be added as well.
Response
Successful response
- Array [
- ]
- Array [
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
The order of the results
Whether there are more results
The total number of results
Possible values: >= 0
1000results object[]required
The Propexo unique identifier for the unit
clwktsp9v000008l31iv218hnThe date record first entered Propexo
2024-03-21T15:38:08.337ZThe date record was last updated in Propexo
2024-03-22T10:59:45.119ZThe date the record was last seen from the PMS
2024-03-22T10:59:45.119ZThe external ID from the integration vendor
| Method |
|---|
| propertyunits/getPropertyUnits |
unitX123The external ID of the property from the integration vendor
| Method |
|---|
| propertyunits/getPropertyUnits |
property456The external ID of the floor plan from the integration vendor
| Method |
|---|
| propertyunits/getPropertyUnits |
FP123The external ID of the unit type from the integration vendor
| Method |
|---|
| propertyunits/getPropertyUnits |
12The number of bathrooms associated with the unit
| Method |
|---|
| propertyunits/getPropertyUnits |
2The number of full bathrooms associated with the unit
| Method |
|---|
| propertyunits/getPropertyUnits |
2The number of half bathrooms associated with the unit
| Method |
|---|
| propertyunits/getPropertyUnits |
The number of bedrooms associated with the unit
| Method |
|---|
| propertyunits/getPropertyUnits |
3The building name associated with the unit
| Method |
|---|
| propertyunits/getPropertyUnits |
Sunrise ApartmentsThe building number associated with the unit
| Method |
|---|
| propertyunits/getPropertyUnits |
Bldg5The city associated with the unit
| Method |
|---|
| propertyunits/getPropertyUnits |
SpringfieldThe country associated with the unit
This field will always be null for ENTRATA
nullcustom_data object | nullrequired
The external ID of the floor plan associated with the unit
Deprecated in favor of floor_plan_id
| Method |
|---|
| propertyunits/getPropertyUnits |
FP123The floor plan name associated with the unit
Deprecated in favor of floor_plan_id
| Method |
|---|
| propertyunits/getPropertyUnits |
3BHK DeluxeThe floor number/name associated with the unit
This field will always be null for ENTRATA
nullWhether the unit is available
| Method |
|---|
| propertyunits/getPropertyUnits |
trueWhether the unit is furnished
| Method |
|---|
| propertyunits/getPropertyUnits |
trueDEPRECATED: Use listings endpoints.
This field will always be null for ENTRATA
nullWhether the unit is vacant
This field will always be null for ENTRATA
nullThe unit number
| Method |
|---|
| propertyunits/getPropertyUnits |
A202The market rent amount in cents for the unit
This field will always be null for ENTRATA
nullThe maximum rent amount in cents
| Method |
|---|
| propertyunits/getPropertyUnits |
200000The minimum rent amount in cents
| Method |
|---|
| propertyunits/getPropertyUnits |
180000The square footage of the unit
| Method |
|---|
| propertyunits/getPropertyUnits |
Possible values: >= 0
1200The state associated with the unit
| Method |
|---|
| propertyunits/getPropertyUnits |
ILDeprecated: Use address_1
| Method |
|---|
| propertyunits/getPropertyUnits |
Deprecated: Use address_2
This field will always be null for ENTRATA
nullThe first address line associated with the unit
| Method |
|---|
| propertyunits/getPropertyUnits |
123 Main StThe second address line associated with the unit
| Method |
|---|
| propertyunits/getPropertyUnits |
123 Main StThe zip code associated with the unit
| Method |
|---|
| propertyunits/getPropertyUnits |
62704Whether or not pets are allowed
This field will always be null for ENTRATA
nullWhether or not dogs are allowed
This field will always be null for ENTRATA
nullWhether or not cats are allowed
This field will always be null for ENTRATA
nullThe pet policy for the unit
This field will always be null for ENTRATA
nullThe Propexo unique identifier for the floor plan
| Method |
|---|
| propertyunits/getPropertyUnits |
cm7xvp5vb88803888363al35e7bse4zThe Propexo unique identifier for the integration
clwh5u07w000508me66sfh3umThe property management system of record
Show 13 enum values
ENTRATAAPPFOLIOBUILDIUMMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTENTRATAThe Propexo unique identifier for the property
clwi5xiix000008l6ctdgafyhThe Propexo unique identifier for the unit type
| Method |
|---|
| propertyunits/getPropertyUnits |
cmpcsy72x000f04jrgtz847sqErrors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/v1/units/ \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "unitX123",
"x_property_id": "property456",
"x_floor_plan_id": "FP123",
"x_unit_type_id": "12",
"bathrooms": "2",
"bathrooms_full": 2,
"bathrooms_half": 0,
"bedrooms": "3",
"building_name": "Sunrise Apartments",
"building_number": "Bldg5",
"city": "Springfield",
"country": null,
"custom_data": "Unknown Type: object,null",
"floor": null,
"is_available": true,
"is_furnished": true,
"is_vacant": null,
"number": "A202",
"rent_amount_market_in_cents": null,
"rent_amount_max_in_cents": 200000,
"rent_amount_min_in_cents": 180000,
"square_feet": 1200,
"state": "IL",
"address_1": "123 Main St",
"address_2": "123 Main St",
"zip": "62704",
"pets_allowed": null,
"dogs_allowed": null,
"cats_allowed": null,
"pet_policy": null,
"floor_plan_id": "cm7xvp5vb88803888363al35e7bse4z",
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "ENTRATA",
"property_id": "clwi5xiix000008l6ctdgafyh",
"unit_type_id": "cmpcsy72x000f04jrgtz847sq"
}
]
}